dict_t Struct Reference

a structure for a dictionary. More...

`#include <dict.h>`

## Data Fields

int | refcnt
bin_mdef_t * | mdef
| Model definition used for phone IDs; NULL if none used.
dictword_t * | word
| Array of entries in dictionary.
hash_table_t * | ht
| Hash table for mapping word strings to word ids.
int32 | max_words
| #Entries allocated in dict, including empty slots
int32 | n_word
| #Occupied entries in dict; ie, excluding empty slots
int32 | filler_start
| First filler word id (read from filler dict)
int32 | filler_end
| Last filler word id (read from filler dict)
s3wid_t | startwid
| FOR INTERNAL-USE ONLY.
s3wid_t | finishwid
| FOR INTERNAL-USE ONLY.
s3wid_t | silwid
| FOR INTERNAL-USE ONLY.
int | nocase

## Detailed Description

a structure for a dictionary.

Definition at line 76 of file dict.h.

## Field Documentation

## filler_end

int32 dict_t::filler_end

Last filler word id (read from filler dict)

Definition at line 84 of file dict.h.

Referenced by dict_init().

## filler_start

int32 dict_t::filler_start

First filler word id (read from filler dict)

Definition at line 83 of file dict.h.

Referenced by dict_filler_word(), dict_init(), and dict_real_word().

## finishwid

s3wid_t dict_t::finishwid

FOR INTERNAL-USE ONLY.

Definition at line 86 of file dict.h.

Referenced by dict_filler_word(), dict_init(), and dict_real_word().

## ht

hash_table_t* dict_t::ht

Hash table for mapping word strings to word ids.

Definition at line 80 of file dict.h.

Referenced by dict_add_word(), dict_free(), dict_init(), and dict_wordid().

## max_words

int32 dict_t::max_words

#Entries allocated in dict, including empty slots

Definition at line 81 of file dict.h.

Referenced by dict_add_word(), dict_init(), and dict_report().

## mdef

bin_mdef_t* dict_t::mdef

Model definition used for phone IDs; NULL if none used.

Definition at line 78 of file dict.h.

Referenced by dict_ciphone_str(), dict_free(), and dict_init().

## n_word

int32 dict_t::n_word

#Occupied entries in dict; ie, excluding empty slots

Definition at line 82 of file dict.h.

Referenced by dict_add_word(), dict_free(), dict_init(), dict_report(), and dict_write().

## nocase

int dict_t::nocase

Definition at line 88 of file dict.h.

## refcnt

int dict_t::refcnt

Definition at line 77 of file dict.h.

## silwid

s3wid_t dict_t::silwid

FOR INTERNAL-USE ONLY.

Definition at line 87 of file dict.h.

Referenced by dict_init().

## startwid

s3wid_t dict_t::startwid

FOR INTERNAL-USE ONLY.

Definition at line 85 of file dict.h.

Referenced by dict_filler_word(), dict_init(), and dict_real_word().

## word

dictword_t* dict_t::word

Array of entries in dictionary.

Definition at line 79 of file dict.h.

Referenced by dict2pid_get_rcmap(), dict_add_word(), dict_ciphone_str(), dict_free(), dict_init(), and get_rc_nssid().

The documentation for this struct was generated from the following file:

- src/libpocketsphinx/dict.h